Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSButtonColorTransform

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSMovieObject
              com.flagstone.transform.FSButtonColorTransform

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSButtonColorTransform

extends FSMovieObject

FSButtonColorTransform defines the colour transform that is applied to each shape that is used to draw a button.

This class is only used in conjunction with FSDefineButton. FSDefineButton2 allows colour transforms to be specified in the FSButtonRecord object that identifies each shape that is displayed for a given button state.

Attributes
type | Identifies the data structure when it is encoded. Read-only.
identifier | the identifier for the FSDefineButton or FSDefineButton2 object that defines the appearance and behaviour of a button.
colorTransform | An FSColorTransform object that describes how the colours are changed.

# History

The FSButtonColorTransform class represents the DefineButtonCXForm structure from the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 2.

Field Summary

Fields inherited from class com.flagstone.transform.FSMovieObject
`ButtonColorTransform, ButtonSound, DefineBitsPtr, DefineButton, DefineButton2, DefineFont, DefineFont2, DefineImage, DefineImage2, DefineJPEGImage, DefineJPEGImage2, DefineJPEGImage3, DefineMorphShape, DefineMovieClip, DefineShape, DefineShape2, DefineShape3, DefineSound, DefineText, DefineText2, DefineTextField, DefineVideo, DoAction, EnableDebugger, EnableDebugger2, Export, extendLength, FontInfo, FontInfo2, FrameLabel, Free, Import, Initialize, JPEGTables, length, LimitScript, PathsArePostscript, PlaceObject, PlaceObject2, Protect, QuicktimeMovie, RemoveObject, RemoveObject2, SerialNumber, SetBackgroundColor, ShowFrame, SoundStreamBlock, SoundStreamHead, SoundStreamHead2, StartSound, TabOrder, type, VideoFrame`

Constructor Summary
`FSButtonColorTransform(FSButtonColorTransform obj)` Constructs an FSButtonColorTransform object by copying values from an existing object.
`FSButtonColorTransform(FSCoder coder)` Construct an FSButtonColorTransform object, initialising it with values decoded from an encoded object.
`FSButtonColorTransform(int anIdentifier, FSColorTransform aColorTransform)` Constructs an FSButtonColorTransform object with a colour transform for the specified button.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`FSColorTransform` | `getColorTransform()` Gets the colour transform that will be applied to the FSDefineButton object.
`int` | `getIdentifier()` Gets the identifier of the button that this FSButtonColorTransform object applies to.
`int` | `length(FSCoder coder)`
`void` | `setColorTransform(FSColorTransform aTransform)` Sets the colour transform.
`void` | `setIdentifier(int anIdentifier)` Sets the identifier of the button that the transform applies to.

Methods inherited from class com.flagstone.transform.FSMovieObject
`getType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSButtonColorTransform

    public FSButtonColorTransform(FSCoder coder)

  Construct an FSButtonColorTransform object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSButtonColorTransform

    public FSButtonColorTransform(int anIdentifier,
                                  FSColorTransform aColorTransform)

  Constructs an FSButtonColorTransform object with a colour transform for the specified button.

  Parameters:
    `anIdentifier` - the identifier of a button that this FSButtonColorTransform applies to.
    `aColorTransform` - an FSColorTransform object that will be applied to the button.

### FSButtonColorTransform

    public FSButtonColorTransform(FSButtonColorTransform obj)

  Constructs an FSButtonColorTransform object by copying values from an existing object.

  Parameters:
    `obj` - an FSButtonColorTransform object.

Method Detail

### getIdentifier

    public int getIdentifier()

  Gets the identifier of the button that this FSButtonColorTransform object applies to.

  Returns:
    the identifier of the button that the transform will be applied to.

### getColorTransform

    public FSColorTransform getColorTransform()

  Gets the colour transform that will be applied to the FSDefineButton object.

  Returns:
    the colour transform that will be applied to the button.

### setIdentifier

    public void setIdentifier(int anIdentifier)

  Sets the identifier of the button that the transform applies to.

  Parameters:
    `anIdentifier` - the identifier of the FSDefineButton object that the transform will be applied to.

### setColorTransform

    public void setColorTransform(FSColorTransform aTransform)

  Sets the colour transform.

  Parameters:
    `aTransform` - the colour transform object that will be applied to the button.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSTransformObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSTransformObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSMovieObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSMovieObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Overrides:
    `appendDescription` in class `FSMovieObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSMovieObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSMovieObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSMovieObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD